
Katello - Bug #6256

Can't create new Hostgroups when Org is unset

06/17/2014 04:22 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112777 Red Hat JIRA:  

Pull request:    

Description

If you're in Any Org context, the hostgroups helper in Katello which adds the Lifecycle Environment field bombs out because it tries to

call id on nil.

Patch incoming.

Associated revisions

Revision 7131cbd9 - 06/17/2014 04:22 PM - Greg Sutcliffe 

Fixes #6256 - Handle a nil value in kt_env for hostgroups

Revision bcf1dd78 - 06/19/2014 03:42 PM - Justin Sherrill

Merge pull request #4288 from GregSutcliffe/6256

Fixes #6256 - Handle a nil value in kt_env for hostgroups

History

#1 - 06/17/2014 04:23 PM - Greg Sutcliffe

https://github.com/Katello/katello/pull/4288

#2 - 06/19/2014 12:53 PM - Eric Helms

- Target version set to 48

- Triaged changed from No to Yes

#3 - 06/19/2014 03:52 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7131cbd926e9b399afd3979578844a11bf6d5930.

#4 - 06/24/2014 04:23 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112777

#5 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
